> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/th/riang-ru/glossary/governance.md).

# การกำกับดูแล

### ภาพรวม

smart contract ระบบการกำกับดูแลนั้นอิงตามการใช้งานเริ่มต้นของ Compound's Alpha governance ซึ่งอำนาจการโหวตขึ้นอยู่กับจำนวน stake ที่ผู้มอบหมายรวมทั้งหมดของ validator เจ้าของ validator มีหน้าที่รับผิดชอบในการโหวตเห็นด้วยหรือไม่เห็นด้วยกับข้อเสนอในการกำกับดูแล ในปัจจุบัน quorum ที่ต้องการคือ ⅔

#### ข้อเสนอจะถูกนำไปใช้เมื่อใด?

Chiliz ใช้ **Compound's Alpha governance** แบบเริ่มต้น ซึ่งอำนาจการโหวตจะกระจายไปยังเจ้าของ validator ตามจำนวน stake ที่ผู้มอบหมายรวมทั้งหมด เมื่อ quorum ⅔ ถูกบรรลุ ข้อเสนอจึงสามารถนำไปใช้ได้

การกำกับดูแลนี้เข้ากันได้อย่างสมบูรณ์กับเวอร์ชันของ Compound อย่างไรก็ตาม มีการปรับปรุงเพียงอย่างเดียว: อนุญาตให้สร้างข้อเสนอพร้อมช่วงเวลาการโหวตแบบกำหนดเอง

สำหรับบางวิธีการ การมีช่วงเวลาการโหวตที่สั้นกว่านั้นมีความสำคัญ ตัวอย่างเช่น เมื่อจำเป็นต้องดำเนินการฉุกเฉินบางอย่าง\
เพื่อให้บรรลุสิ่งนี้ เราสามารถขยายการใช้งานเดิมโดยเพิ่มเมธอด `proposeWithCustomVotingPeriod` ซึ่งช่วยให้สามารถระบุช่วงเวลาการโหวตสำหรับข้อเสนอได้

#### ข้อเสนอจะถูกปฏิเสธเมื่อใด?

เมื่อ quorum ถูกบรรลุและมีอำนาจการโหวตมากกว่า 50% สนับสนุนข้อเสนอ ข้อเสนอนั้นก็สามารถดำเนินการได้ทันทีหลังจากสิ้นสุดช่วงเวลาการโหวต หากข้อเสนอไม่สามารถบรรลุ quorum ที่กำหนดในช่วงเวลาการโหวต ข้อเสนอนั้นก็จะถือว่าพ่ายแพ้

### Consensus params

{% code overflow="wrap" lineNumbers="true" %}

````
```solidity
struct ConsensusParams {
    uint32 activeValidatorsLength;
    uint32 epochBlockInterval;
    uint32 misdemeanorThreshold;
    uint32 felonyThreshold;
    uint32 validatorJailEpochLength;
    uint32 undelegatePeriod;
}
```
````

{% endcode %}

### ความเข้ากันได้กับ BSC

Chiliz Chain เข้ากันได้กับ BSC และ Parlia consensus ใน EVM executor สิ่งที่เพิ่มเติมใหม่มีเพียง hooks สำหรับตรวจสอบนโยบาย ACL ซึ่งมีประมาณ 40 บรรทัดของโค้ด


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chiliz.com/th/riang-ru/glossary/governance.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
